Loading...
Searching...
No Matches
caf::actor_addr Class Reference

Stores the address of typed as well as untyped actors. More...

`#include <actor_addr.hpp>`

Inheritance diagram for caf::actor_addr:

## Public Member Functions

| actor_addr (actor_addr &&)=default
| actor_addr (const actor_addr &)=default
actor_addr & | operator= (actor_addr &&)=default
actor_addr & | operator= (const actor_addr &)=default
| actor_addr (std::nullptr_t)
actor_addr & | operator= (std::nullptr_t)
actor_id | id () const noexcept
| Returns the ID of this actor.
node_id | node () const noexcept
| Returns the origin node of this actor.
actor_system & | home_system () const noexcept
| Returns the hosting actor system.
void | swap (actor_addr &other) noexcept
| Exchange content of *this and other.
| operator bool () const

## Static Public Attributes

static constexpr bool | has_weak_ptr_semantics = true

## Friends

class | abstract_actor
template<class, class, int>
class | actor_cast_access

## Detailed Description

Stores the address of typed as well as untyped actors.

The documentation for this class was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/actor_addr.hpp